# GET /scheduled-event-types

**Resource:** [Scheduled Event Types](./scheduled-event-types.md)  
**Scopes:** `company:read`  
**Write operation:** no

List all scheduled event types for the company with cursor-based pagination.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `limit` | query | number | no | Max results per page (1-100, default 25) |
| `after` | query | string | no | Cursor for next page |

## Request example

```bash
curl -X GET \
  "https://api.trustpager.com/functions/v1/api/v1/scheduled-event-types" \
  -H "Authorization: Bearer YOUR_API_KEY"
```

## Response example

```json
{
  "data": [
    {
      "id": "a1b2c3d4-...",
      "name": "Site Visit",
      "description": "On-site client meeting",
      "icon": "map-pin",
      "color": "emerald",
      "event_queue_id": "b2c3d4e5-...",
      "enrollment_offset_minutes": 1440,
      "is_meeting": false,
      "default_duration_minutes": null,
      "sort_order": 1,
      "is_active": true,
      "created_at": "2026-01-15T10:30:00Z",
      "updated_at": "2026-03-20T14:00:00Z"
    }
  ],
  "pagination": { "limit": 25, "has_more": false, "next_cursor": null },
  "meta": { "credits_remaining": 9500 }
}
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`